SalesChannelCategoryNodes

Move a category node in the tree structure

post

Moves a category node to a new position in the tree structure for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Body
nodeintegerRequired

ID of the node to move (must have depth greater than 1)

targetintegerRequired

ID of the target node to move to (must have depth greater than 1)

posstring · enumRequired

Position relative to the target node

Possible values:
Responses
200

Category node moved successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
pathstringOptional

The path of the node in the tree.

Example: 0001
depthintegerOptional

The depth of the node in the tree.

Example: 1
numchildintegerOptional

The number of children the node has.

Example: 2
pkinteger · int64Read-onlyRequired

Category Node ID

orderintegerRequired

Order of the category node

Example: 1
namestring · max: 64Required

Name of the category node.

Example: Root Category
remote_attributesobject · nullableOptional

Remote attributes of the category node

sort_optionintegerOptional

Related sort option object ID

Example: 1
marketplace_attribute_setintegerOptional

Related marketplace attribute set object ID

Example: 1
post
/api/v1/channel/{channel_id}/category_nodes/move/

Retrieve a category node

get

Retrieves details of a specific category node for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Category node retrieved successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
pathstringOptional

The path of the node in the tree.

Example: 0001
depthintegerOptional

The depth of the node in the tree.

Example: 1
numchildintegerOptional

The number of children the node has.

Example: 2
pkinteger · int64Read-onlyRequired

Category Node ID

orderintegerRequired

Order of the category node

Example: 1
namestring · max: 64Required

Name of the category node.

Example: Root Category
remote_attributesobject · nullableOptional

Remote attributes of the category node

sort_optionintegerOptional

Related sort option object ID

Example: 1
marketplace_attribute_setintegerOptional

Related marketplace attribute set object ID

Example: 1
get
/api/v1/channel/{channel_id}/category_nodes/{id}/

Update a category node

put

Updates a specific category node for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Body
namestring · max: 64Optional

Name of the category node

orderintegerOptional

Order of the category node

sort_optioninteger · nullableOptional

ID of the sort option for the category node

attributesobjectOptional

Dynamic attributes for the category node

Responses
200

Category node updated successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
pathstringOptional

The path of the node in the tree.

Example: 0001
depthintegerOptional

The depth of the node in the tree.

Example: 1
numchildintegerOptional

The number of children the node has.

Example: 2
pkinteger · int64Read-onlyRequired

Category Node ID

orderintegerRequired

Order of the category node

Example: 1
namestring · max: 64Required

Name of the category node.

Example: Root Category
remote_attributesobject · nullableOptional

Remote attributes of the category node

sort_optionintegerOptional

Related sort option object ID

Example: 1
marketplace_attribute_setintegerOptional

Related marketplace attribute set object ID

Example: 1
put
/api/v1/channel/{channel_id}/category_nodes/{id}/

Delete a category node

delete

Deletes a specific category node for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
delete
/api/v1/channel/{channel_id}/category_nodes/{id}/

No content

Partially update a category node

patch

Partially updates a specific category node for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

ID of the sales channel

idintegerRequired

ID of the category node

Body
namestring · max: 64Optional

Name of the category node

orderintegerOptional

Order of the category node

sort_optioninteger · nullableOptional

ID of the sort option for the category node

attributesobjectOptional

Dynamic attributes for the category node

Responses
200

Category node partially updated successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
pathstringOptional

The path of the node in the tree.

Example: 0001
depthintegerOptional

The depth of the node in the tree.

Example: 1
numchildintegerOptional

The number of children the node has.

Example: 2
pkinteger · int64Read-onlyRequired

Category Node ID

orderintegerRequired

Order of the category node

Example: 1
namestring · max: 64Required

Name of the category node.

Example: Root Category
remote_attributesobject · nullableOptional

Remote attributes of the category node

sort_optionintegerOptional

Related sort option object ID

Example: 1
marketplace_attribute_setintegerOptional

Related marketplace attribute set object ID

Example: 1
patch
/api/v1/channel/{channel_id}/category_nodes/{id}/

Retrieve detailed information about a category node

get

Retrieves detailed information about a specific category node for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Detailed category node information retrieved successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
pathstringOptional

The path of the node in the tree.

Example: 0001
depthintegerOptional

The depth of the node in the tree.

Example: 1
numchildintegerOptional

The number of children the node has.

Example: 2
pkinteger · int64Read-onlyRequired

Category Node ID

orderintegerRequired

Order of the category node

Example: 1
namestring · max: 64Required

Name of the category node.

Example: Root Category
remote_attributesobject · nullableOptional

Remote attributes of the category node

marketplace_attribute_setintegerOptional

Related marketplace attribute set object ID

Example: 1
get
/api/v1/channel/{channel_id}/category_nodes/{id}/detailed/

List all category nodes

get

Retrieves a list of all category nodes for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
namestringOptional

Filter by name.

is_activebooleanOptional

Filter by active status (True or False)

parentintegerOptional

Filter by parent category node ID

Responses
200

List of category nodes retrieved successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
pathstringOptional

The path of the node in the tree.

Example: 0001
depthintegerOptional

The depth of the node in the tree.

Example: 1
numchildintegerOptional

The number of children the node has.

Example: 2
pkinteger · int64Read-onlyRequired

Category Node ID

orderintegerRequired

Order of the category node

Example: 1
namestring · max: 64Required

Name of the category node.

Example: Root Category
remote_attributesobject · nullableOptional

Remote attributes of the category node

sort_optionintegerOptional

Related sort option object ID

Example: 1
marketplace_attribute_setintegerOptional

Related marketplace attribute set object ID

Example: 1
get
/api/v1/channel/{channel_id}/category_nodes/

Create a category node

post

Creates a new category node for the specified sales channel.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Body
namestring · max: 64Required

Name of the category node

orderintegerOptional

Order of the category node within its level

nodestringRequired

Parent node information for creating child category node

sort_optioninteger · nullableOptional

ID of the sort option for the category node

attributesobject · nullableOptional

Dynamic attributes for the category node

Responses
post
/api/v1/channel/{channel_id}/category_nodes/

List all category nodes with detailed information

get

Retrieves a list of all category nodes for the specified sales channel with detailed information.

Authorizations
AuthorizationstringRequired
Path parameters
channel_idintegerRequired

The channel ID of the resource.

Example: 5
Query parameters
namestringOptional

Filter by name.

is_activebooleanOptional

Filter by active status (True or False)

parentintegerOptional

Filter by parent category node ID

Responses
200

List of category nodes with detailed information retrieved successfully

application/json
created_datestring · date-timeRead-onlyRequired

The date and time when the object was created.

modified_datestring · date-timeRequired

The date and time when the object was last modified.

uuidstring · uuidRead-onlyOptional

Unique UUID identifier

Example: 123e4567-e89b-12d3-a456-426614174000
attributesobjectOptional

A JSON object to store various attributes of the entity.

Example: {"key1":"value1","key2":"value2"}
attributes_kwargsobjectOptional

A JSON object to store additional attribute keyword arguments.

Example: {"key1":"value1","key2":"value2"}
localized_attributesobjectOptional

A JSON object to store localized attributes.

Example: {"name":{"en":"English","es":"Spanish"}}
localized_attributes_kwargsobjectOptional

A JSON object to store localized attributes keyword arguments.

Example: {"key":{"key1":"value1","key2":"value2"}}
pathstringOptional

The path of the node in the tree.

Example: 0001
depthintegerOptional

The depth of the node in the tree.

Example: 1
numchildintegerOptional

The number of children the node has.

Example: 2
pkinteger · int64Read-onlyRequired

Category Node ID

orderintegerRequired

Order of the category node

Example: 1
namestring · max: 64Required

Name of the category node.

Example: Root Category
remote_attributesobject · nullableOptional

Remote attributes of the category node

marketplace_attribute_setintegerOptional

Related marketplace attribute set object ID

Example: 1
get
/api/v1/channel/{channel_id}/category_nodes/detailed/

Last updated

Was this helpful?